%define		_state		stable
%define		orgname		khangman

Summary:	K Desktop Environment - A hangman game
Summary(pl.UTF-8):	K Desktop Environment - Gra w wisielca
Name:		kde4-khangman
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Science
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	52108ad0becfca7c39700aa46540d480
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdeedu-devel >= %{version}
Obsoletes:	kde4-kdeedu-khangman < 4.6.99
Obsoletes:	khangman <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KHangMan is a game based on the well known hangman game. A word is
picked in random, the letters are hidden, you must guess the word by
trying a letter after another. Each time you guess a wrong letter, a
picture of a hangman is drawn. You must guess the word before getting
hanged! It is aimed for children aged 6+.

%description -l pl.UTF-8
KHangMan jest grą opartą na popularnej grze w wisielca. Wybierane jest
losowe słowo, którego litery są ukryte. Trzeba zgadnąć to słowo
podając kolejno litery. Za każdym razem, gdy podana litera nie
występuje w słowie, rysowany jest obrazek wisielca. Trzeba odgadnąć
słowo przed powieszeniem! Gra jest przeznaczona dla dzieci w wieku 6
lat lub więcej.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/khangman
%attr(755,root,root) %{_libdir}/libkhangmanengine.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkhangmanengine.so.?
%{_datadir}/appdata/khangman.appdata.xml
%{_datadir}/apps/khangman
%{_datadir}/config.kcfg/khangman.kcfg
%{_datadir}/config/khangman.knsrc
%{_desktopdir}/kde4/khangman.desktop
%{_iconsdir}/hicolor/scalable/apps/khangman*.svgz
%{_iconsdir}/hicolor/*x*/apps/khangman*.png
%{_mandir}/man6/khangman.6*
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-khangman.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 3317852
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9cca563
- updated to 4.14.0
- packaged appdata file

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4930998
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 999cea0
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fb5ddf5
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 170e8d8
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 71f5fe6
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a82814d
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 92cc7c9
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 4de27d3
- up to 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> c1409a1
- updated to 4.10.4 (by update-kde4.sh)

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 4058d71
- typo

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 55179df
- updated files

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 83aa653
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 3edf36f
- updated to 4.9.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 5eb5c03
- fix invalid pl locale

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 2fa53a4
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 1ac6fb7
- package more icons, release 2.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 0a3eabc
- updated to 4.9.0.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 73cfcd4
- up to 4.8.0; now as kde4-khangman

